<?php 
require_once '../../../../lib/configuration.inc';


// Vérification si l'accès est valide
if(!isset($_SESSION['SessionADMIN_compte_id'])){
	header('Location: ../../../auth.php');
	exit;
}

// Vérification si l'utilisateur a les droits d'accès
if($_SESSION['SessionADMIN_compte_type']=='utilisateur' AND (in_array(1, $_SESSION['SessionADMIN_compte_acces_modules'])==false OR in_array(2, $_SESSION['SessionADMIN_compte_acces_rubriques'])==false)){
	header('Location: ../../../');
	exit;
}


if(isset($action) AND $action=='positionner'){

	if(isset($type) AND $type=='module'){

		// Changement de la position (monter ou descendre)
		position_classement($connexion_mysql, 'admin_modules', 'module_id', 'module_classement', '', $module, $module_position_actuelle, $direction);

		// Mise à jour du classement après suppression
		mise_a_jour_classement($connexion_mysql, 'admin_modules', 'module_id', 'module_classement', '');

	}elseif(isset($type) AND $type=='rubrique'){

		// Changement de la position (monter ou descendre)
		position_classement($connexion_mysql, 'admin_rubriques', 'rubrique_id', 'rubrique_classement', 'WHERE rubrique_module='.$module, $rubrique, $rubrique_position_actuelle, $direction);

		// Sélection des modules
		$requete_classement_modules = mysqli_query($connexion_mysql, 'SELECT module_id FROM admin_modules ORDER BY module_classement');
		$nb_classement_modules = mysqli_num_rows($requete_classement_modules);
		if($nb_classement_modules!=0){
			for($classement_module_boucle=0; $classement_module_boucle<$nb_classement_modules; $classement_module_boucle++){
				$resultat_classement_module = mysqli_fetch_array($requete_classement_modules);
				$classement_module_id = $resultat_classement_module[0];

				// Mise à jour du classement
				mise_a_jour_classement($connexion_mysql, 'admin_rubriques', 'rubrique_id', 'rubrique_classement', 'WHERE rubrique_module='.$classement_module_id);

			}
		}

	}

	header('Location: ./');

}
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	<title><?=$admin_titre?></title>
	<link rel="shortcut icon" type="image/png" href="<?=$admin_domaine?>favicon.png">
	<link rel="stylesheet" type="text/css" href="<?=$admin_css_page?>">
	<script type="text/javascript" src="<?=$admin_js?>jquery/jquery.js"></script>
	<script type="text/javascript" src="<?=$admin_js?>scriptaculous/prototype.js"></script>
	<script type="text/javascript" src="<?=$admin_js?>scriptaculous/scriptaculous.js"></script>
	<script type="text/javascript" src="<?=$admin_js?>commun.js"></script>
	<meta name="robots" content="none">
</head>

<body>

<script language="Javascript">
	<!-- 
	function supprimer(type, module, rubrique, libelle){
		if(type=='module'){
			type_libelle = 'le module';
		}else{
			type_libelle = 'la rubrique';
		}
		resultat = confirm("Désirez-vous réellement supprimer  " + type_libelle + " ' " + libelle + " ' ?");
		if(resultat == true){
			window.location = './supprimer.php?type=' + type + '&module_id=' + module + '&rubrique_id=' + rubrique;
		}
	}
	//-->
</script>

<?php 
include $general_path_relatif.'sources/entete.inc';
include $general_path_relatif.'sources/menu.inc';
?>

<div id="contenu_1"<?=$correction_contenu_1?>><div id="contenu_2">

	<div id="contenu_3" align="left" style="width: 450px;">

		<div id="titres">
			<span class="titre_1">Aborescence</span>
			<span class="ajouter"><a href="./ajouter.php">Ajouter</a></span>
		</div>
		<br clear="all">

		<div id="bloc">

			<?php 
			// Sélection des modules enregistrés
			$requete_modules = mysqli_query($connexion_mysql, 'SELECT module_id, module_libelle, module_classement, module_activation FROM admin_modules ORDER BY module_classement');
			$nb_modules = mysqli_num_rows($requete_modules);
			if($nb_modules!=0){

				for($module_boucle=0; $module_boucle<$nb_modules; $module_boucle++){
					$resultat_module = mysqli_fetch_array($requete_modules);
					$module_id = $resultat_module[0];
					$module_libelle = decodage_apostrophe(html_entity_decode(stripslashes($resultat_module[1])));
					$module_classement = $resultat_module[2];
					$module_activation = $resultat_module[3];

					if($module_activation==1){ $module_ligne_css = 'ligne'; }else{ $module_ligne_css = 'ligne_inactive'; }

					// Sélection des rubriques enregistrées du module
					$requete_rubriques = mysqli_query($connexion_mysql, 'SELECT rubrique_id, rubrique_libelle, rubrique_classement, rubrique_activation FROM admin_rubriques WHERE rubrique_module='.$module_id.' ORDER BY rubrique_classement');
					$nb_rubriques = mysqli_num_rows($requete_rubriques);
			?>

					<div id="<?=$module_ligne_css?>">
						<div style="float: left; width: 235px;"><a href="./modifier_module.php?module_id=<?=$module_id?>"><?=$module_libelle?></a></div>
						<?php 
						if($module_boucle==0){
							echo '<div id="ligne_icone" style="width: 50px;">&nbsp;</div>'."\n";
						}else{
							echo '<div id="ligne_icone" style="width: 50px;"><a href="Javascript: void(0);" onclick="window.location=\''.$PHP_SELF.'?action=positionner&type=module&module='.$module_id.'&module_position_actuelle='.$module_classement.'&direction=monter\'" title="Monter la position"><img src="'.$admin_img.'icone_monter.png" width="14" height="14"></a></div>'."\n";
						}
						if($module_boucle==($nb_modules-1)){
							echo '<div id="ligne_icone" style="width: 50px;">&nbsp;</div>'."\n";
						}else{
							echo '<div id="ligne_icone" style="width: 50px;"><a href="Javascript: void(0);" onclick="window.location=\''.$PHP_SELF.'?action=positionner&type=module&module='.$module_id.'&module_position_actuelle='.$module_classement.'&direction=descendre\'" title="Descendre la position"><img src="'.$admin_img.'icone_descendre.png" width="14" height="14"></a></div>'."\n";
						}
						?>
						<?php if($module_id==1){ ?>
							<div id="ligne_icone" style="width: 45px;"><a href="Javascript: void(0);" onclick="slideMe('module_<?=$module_id?>_rubriques', 0);  return false;" href="modifier.php?module_id=<?=$module_id?>" title="Lister les rubriques du module <?=$module_libelle?>"><img src="<?=$admin_img?>picto_lister_2.png" width="12" height="12"></a></div>
							<div id="ligne_icone">&nbsp;</div>
							<div id="ligne_icone">&nbsp;</div>
						<?php }elseif($nb_rubriques!=0){ ?>
							<div id="ligne_icone" style="width: 45px;"><a href="Javascript: void(0);" onclick="slideMe('module_<?=$module_id?>_rubriques', 0);  return false;" href="modifier.php?module_id=<?=$module_id?>" title="Lister les rubriques du module <?=$module_libelle?>"><img src="<?=$admin_img?>picto_lister_2.png" width="12" height="12"></a></div>
							<div id="ligne_icone"><a href="./modifier_module.php?module_id=<?=$module_id?>" title="Modifier"><img src="<?=$admin_img?>picto_modifier.png" width="10" height="10"></a></div>
							<div id="ligne_icone"><img src="<?=$admin_img?>picto_supprimer_off.png" width="10" height="10" title="Impossible supprimer le module"></div>
						<?php }else{ ?>
							<div id="ligne_icone" style="width: 45px;">&nbsp;</div>
							<div id="ligne_icone"><a href="./modifier_module.php?module_id=<?=$module_id?>" title="Modifier"><img src="<?=$admin_img?>picto_modifier.png" width="10" height="10"></a></div>
							<div id="ligne_icone"><a href="Javascript: void(0);" onclick="supprimer('module', <?=$module_id?>, '', '<?=addslashes($module_libelle)?>')" title="Supprimer"><img src="<?=$admin_img?>picto_supprimer.png" width="10" height="10"></a></div>
						<?php } ?>
					</div>

			<?php 
					if($nb_rubriques!=0){

						echo '<div id="module_'.$module_id.'_rubriques" style="display: none;">'."\n";

							for($rubrique_boucle=0; $rubrique_boucle<$nb_rubriques; $rubrique_boucle++){
								$resultat_rubrique = mysqli_fetch_array($requete_rubriques);
								$rubrique_id = $resultat_rubrique[0];
								$rubrique_libelle = ucfirst(decodage_apostrophe(html_entity_decode(stripslashes($resultat_rubrique[1]))));
								$rubrique_classement = $resultat_rubrique[2];
								$rubrique_activation = $resultat_rubrique[3];

								if($rubrique_activation==1 AND $module_activation==1){ $rubrique_ligne_css = 'ligne_secondaire'; }else{ $rubrique_ligne_css = 'ligne_secondaire_inactive'; }
			?>

								<div id="<?=$rubrique_ligne_css?>">
									<div style="float: left; width: 215px; padding-left: 20px;"><img src="<?=$admin_img?>fleche_droite.png" width="5" height="5" style="margin: 0px 5px 2px 0px;"><a href="./modifier_rubrique.php?rubrique_id=<?=$rubrique_id?>"><?=$rubrique_libelle?></a></div>
									<?php 
									if($rubrique_boucle==0){
										echo '<div id="ligne_icone" style="width: 50px;">&nbsp;</div>';
									}else{
										echo '<div id="ligne_icone" style="width: 50px;"><a href="Javascript: void(0);" onclick="window.location=\''.$PHP_SELF.'?action=positionner&type=rubrique&module='.$module_id.'&rubrique='.$rubrique_id.'&rubrique_position_actuelle='.$rubrique_classement.'&direction=monter\'" title="Monter la position"><img src="'.$admin_img.'icone_monter.png" width="14" height="14"></a></div>';
									}
									if($rubrique_boucle==($nb_rubriques-1)){
										echo '<div id="ligne_icone" style="width: 50px;">&nbsp;</div>';	
									}else{
										echo '<div id="ligne_icone" style="width: 50px;"><a href="Javascript: void(0);" onclick="window.location=\''.$PHP_SELF.'?action=positionner&type=rubrique&module='.$module_id.'&rubrique='.$rubrique_id.'&rubrique_position_actuelle='.$rubrique_classement.'&direction=descendre\'" title="Descendre la position"><img src="'.$admin_img.'icone_descendre.png" width="14" height="14"></a></div>';
									}
									?>
									<div id="ligne_icone" style="width: 45px;">&nbsp;</div>
									<div id="ligne_icone"><a href="./modifier_rubrique.php?rubrique_id=<?=$rubrique_id?>" title="Modifier"><img src="<?=$admin_img?>picto_modifier.png" width="10" height="10"></a></div>
									<div id="ligne_icone"><a href="Javascript: void(0);" onclick="supprimer('rubrique', <?=$module_id?>, <?=$rubrique_id?>, '<?=addslashes($rubrique_libelle.' \' du module \' '.$module_libelle)?>')" title="Supprimer"><img src="<?=$admin_img?>picto_supprimer.png" width="10" height="10"></a></div>
								</div>

			<?php 
							}

						echo '</div>'."\n";

					}

				}

			}else{
				echo '<div id="ligne">aucun module disponible</div>'."\n";
			}
			?>

		</div>

	</div>
	<br clear="all">

</div></div>

<?php include $general_path_relatif.'sources/pied_page.inc'; ?>


<?php if(isset($action) AND $action=='positionner' AND $type=='rubrique'){ ?>
	<script type="text/javascript">
		slideMe('module_<?=$module?>_rubriques', 0);
	</script>
<?php } ?>

</body>
</html>
